Subject: Re: [PATCH 0/7] OpenFirmware support for the spi_mpc83xx driver

From: Anton Vorontsov <[email-masked]>
Date: Thu, 18 Dec 2008 21:33:01 +0300

On Fri, Dec 05, 2008 at 11:09:36PM +0300, Anton Vorontsov wrote:
> Hi all,
> 
> The patch series are used to support SPI via the OF SPI subsystem
> (driver/of/of_spi.c). Now the driver is able to manage its own
> chip selects, and doesn't need any auxiliary support from the
> board files or fsl_soc constructors.
> 
> The series also contains PowerPC portions of the MMC SPI support.
> 
> Since the series touches spi and powerpc trees, I think it would
> be most convenient to pass it via one of these trees. The patches
> doesn't touch any SPI functionality, only some probe routines, so
> I believe powerpc.git is the best candidate...
> 
> The other reason for powerpc tree is that the patches depends on
> other patches as found in paulus/powerpc.git + of_gpio_count()
> as found here:
> http://ozlabs.org/pipermail/linuxppc-dev/2008-December/065917.html
> 
> David, if you're OK with the patches, may I ask you to sign off on
> the ones that touch drivers/spi so that we could pass it via Kumar's
> powerpc.git?

David, I'm sorry for bothering you, but have you had a chance to
look into this patch set?

Thanks,

> The queue:
> 
> [1/7] powerpc: Implement get_brgfreq() and get_baudrate() stubs
> [2/7] spi_mpc83xx: Fix sparse warnings
> [3/7] spi_mpc83xx: Rework chip selects handling
> [4/7] spi_mpc83xx: Add OF platform driver bindings
> [5/7] powerpc/fsl_soc: Isolate legacy fsl_spi support to mpc832x_rdb boards
> [6/7] powerpc: Add mmc-spi-slot bindings
> [7/7] powerpc/83xx: Add mmc-spi support via the device tree for MPC8323E-RDB

-- 
Anton Vorontsov
email: [email-masked]
irc://irc.freenode.net/bd2